group "CommodityReferencePriceFramework.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 6 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
commodityBase?, commodityDetails?, unit?, currency?, (exchangeId? | publication?)

Content Model Elements (6):

  commodityBase,
  commodityDetails,
  currency (defined in CommodityReferencePriceFramework.model group),
  exchangeId (defined in CommodityReferencePriceFramework.model group),
  publication,
  unit (defined in CommodityReferencePriceFramework.model group)

Known Usage Locations

- In definitions of other model groups (1):
  CommodityProduct.model

Annotation
A group used to specify the commodity underlyer in the event that no ISDA Commofity Reference Price exists.
XML Source (w/o annotations (7); see within schema source)

<xsd:group name="CommodityReferencePriceFramework.model"> <xsd:sequence> <xsd:element minOccurs="0" name="commodityBase" type="CommodityBase"/> <xsd:element minOccurs="0" name="commodityDetails" type="CommodityDetails"/> <xsd:element minOccurs="0" name="unit" type="QuantityUnit"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:choice> <xsd:element minOccurs="0" name="exchangeId" type="ExchangeId"/> <xsd:element minOccurs="0" name="publication" type="InformationSource"/> </xsd:choice> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 6/6)
commodityBase

  Type: | CommodityBase, simple content

  A coding scheme value to identify the base type of the commodity being traded. Where possible, this should follow the naming convention used in the 2005 ISDA Commodity Definitions. For example, 'Oil'.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commodityBase" type="CommodityBase"/>

commodityDetails

  Type: | CommodityDetails, simple content

  A coding scheme value to identify the commodity being traded more specifically. Where possible, this should follow the naming convention used in the 2005 ISDA Commodity Definitions. For example, 'Brent'.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commodityDetails" type="CommodityDetails"/>

currency

  Type: | Currency, simple content

  The currency in which the Commodity Reference Price is published.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

exchangeId

  Type: | ExchangeId, simple content

  For those commodities being traded with reference to the price of a listed future, the exchange where that future is listed should be specified here.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exchangeId" type="ExchangeId"/>

publication

  Type: | InformationSource, complex content

  For those commodities being traded with reference to a price distributed by a publication, that publication should be specified here.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="publication" type="InformationSource"/>

unit

  Type: | QuantityUnit, simple content

  A coding scheme value to identify the unit in which the undelryer is denominated. Where possible, this should follow the naming convention used in the 2005 ISDA Commodity Definitions.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="unit" type="QuantityUnit"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.